{ fetchFromGitHub
, neovim-unwrapped
, luajit
, wrapNeovim
, xclip
, makeWrapper
, lib
}:

let version = "8a788e2";
in wrapNeovim (neovim-unwrapped.overrideAttrs (final: prev: {
  src = fetchFromGitHub {
    owner = "neovim";
    repo = "neovim";
    rev = version;
    hash = "sha256-AZrOz2EYx2taNLwoMPdSx5LuGZoXcAiwRo5IratMRNA=";
  };

  buildInputs = prev.buildInputs ++ [ makeWrapper ];

  postFixup = ''
    wrapProgram "$out/bin/nvim" --prefix PATH : "${lib.makeBinPath [ xclip ]}"
  '';
})) { }
